import { ScriptService } from './script.service';
import { CreateScriptDto } from './dto/create-script.dto';
import { commonServices } from 'src/services/commonServices';
import { Response } from 'express';
export declare class ScriptController {
    private readonly scriptService;
    private readonly commonServices;
    constructor(scriptService: ScriptService, commonServices: commonServices);
    addScript(scriptData: CreateScriptDto, script_video: Express.Multer.File, req: any, res: Response): Promise<Response<any, Record<string, any>>>;
    updateScript(scriptData: CreateScriptDto, req: any, res: Response): Promise<Response<any, Record<string, any>>>;
    deleteScript(scriptData: CreateScriptDto, req: any, res: Response): Promise<Response<any, Record<string, any>>>;
    addScriptVideo(scriptData: CreateScriptDto, script_video: Express.Multer.File, req: any, res: Response): Promise<Response<any, Record<string, any>>>;
    getScriptById(scriptData: CreateScriptDto, req: any, res: Response): Promise<Response<any, Record<string, any>>>;
    getAllScript(filterParams: any, req: any, res: Response): Promise<Response<any, Record<string, any>>>;
    addFavoriteScript(scriptData: CreateScriptDto, req: any, res: Response): Promise<Response<any, Record<string, any>>>;
    deleteScriptVideo(scriptData: CreateScriptDto, req: any, res: Response): Promise<Response<any, Record<string, any>>>;
    storePayment(paymentData: any, req: any, res: Response): Promise<Response<any, Record<string, any>>>;
    getPayment(paymentData: any, req: any, res: Response): Promise<Response<any, Record<string, any>>>;
}
